System.DirectoryServices 1.0.5000.0 System.Reflection.AssemblyKeyFile(KeyFile="../msfinal.pub") System.Reflection.AssemblyDelaySign(DelaySign=True) System.Runtime.InteropServices.ComVisible(Value=False) System.Resources.NeutralResourcesLanguage(CultureName="en-US") System.Reflection.AssemblyInformationalVersion(InformationalVersion="0.0.0.1") System.Reflection.AssemblyDefaultAlias(DefaultAlias="System.DirectoryServices.dll") System.CLSCompliant(IsCompliant=True) System.Reflection.AssemblyTrademark(Trademark="") System.Reflection.AssemblyCopyright(Copyright="(c) 2003 Various Authors") System.Reflection.AssemblyProduct(Product="MONO CLI") System.Reflection.AssemblyCompany(Company="MONO development team") System.Reflection.AssemblyConfiguration(Configuration="Development version") System.Reflection.AssemblyDescription(Description="System.DirectoryServices.dll") System.Reflection.AssemblyTitle(Title="System.DirectoryServices.dll") System.Resources.SatelliteContractVersion(Version="1.0.5000.0") System.ComponentModel.Component System.ComponentModel.IComponent System.IDisposable System.ComponentModel.TypeConverter(ConverterTypeName="System.DirectoryServices.Design.DirectoryEntryConverter, System.DirectoryServices, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a")
- Constructor
  To be added.
  To be added.
- Constructor
  To be added.
  To be added.
  To be added.
- Constructor
  To be added.
  To be added.
  To be added.
- Constructor
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
- Method
  System.Void To be added. To be added.
- Method
  System.DirectoryServices.DirectoryEntry `` To be added. To be added. To be added. To be added.
- Method
  System.Void To be added. To be added.
- Method
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  System.Void `` To be added. To be added. To be added.
- Method
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  System.Void `` To be added. To be added. To be added.
- Method
  System.Object `` `System.ParamArray` To be added. To be added. To be added. To be added. To be added.
- Method
  System.DirectoryServices.DirectoryEntry `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  System.Void To be added. To be added.
- Method
  System.Void To be added. To be added.
- Method
  System.Void `` To be added. To be added. To be added.
- Property
  System.ComponentModel.DefaultValue(Value=0)
  System.DirectoryServices.DSDescription(Description="Type of authentication to use while Binding to Ldap server")
  System.DirectoryServices.AuthenticationTypes To be added. To be added. To be added.
- Property
  System.ComponentModel.Browsable(Browsable=False)
  System.ComponentModel.DesignerSerializationVisibility(Visibility=System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.DirectoryServices.DSDescription(Description="Child entries of this node")
  System.DirectoryServices.DirectoryEntries To be added. To be added. To be added.
- Property
  System.ComponentModel.Browsable(Browsable=False)
  System.ComponentModel.DesignerSerializationVisibility(Visibility=System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.DirectoryServices.DSDescription(Description="A globally unique identifier for this DirectoryEntry")
  System.Guid To be added. To be added. To be added.
- Property
  System.ComponentModel.Browsable(Browsable=False)
  System.ComponentModel.DesignerSerializationVisibility(Visibility=System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.DirectoryServices.DSDescription(Description="The name of the object as named with the underlying directory")
  System.String To be added. To be added. To be added.
- Property
  System.ComponentModel.Browsable(Browsable=False)
  System.ComponentModel.DesignerSerializationVisibility(Visibility=System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.DirectoryServices.DSDescription(Description="This entry's parent in the Ldap Directory hierarchy.")
  System.DirectoryServices.DirectoryEntry To be added. To be added. To be added.
- Property
  System.ComponentModel.Browsable(Browsable=False)
  System.ComponentModel.DesignerSerializationVisibility(Visibility=System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.DirectoryServices.DSDescription(Description="The globally unique identifier of the DirectoryEntry, as returned from the provider")
  System.String To be added. To be added. To be added.
- Property
  System.ComponentModel.Browsable(Browsable=False)
  System.ComponentModel.DesignerSerializationVisibility(Visibility=System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.DirectoryServices.DSDescription(Description="The native Active Directory Service Interfaces (ADSI) object.")
  System.Object To be added. To be added. To be added.
- Property
  System.ComponentModel.DefaultValue(Value=True)
  System.DirectoryServices.DSDescription(Description="Determines if a cache should be used.")
  System.Boolean To be added. To be added. To be added.
- Property
  System.ComponentModel.Browsable(Browsable=False)
  System.ComponentModel.DefaultValue(Value=null)
  System.DirectoryServices.DSDescription(Description="The password to use when authenticating the client.")
  System.String To be added. To be added. To be added.
- Property
  System.ComponentModel.TypeConverter(ConverterTypeName="System.Diagnostics.Design.StringValueConverter, System.Design, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a")
  System.ComponentModel.Browsable(Browsable=False)
  System.ComponentModel.DefaultValue(Value=null)
  System.DirectoryServices.DSDescription(Description="The user name to use when authenticating the client.")
  System.String To be added. To be added. To be added.
- Property
  System.ComponentModel.TypeConverter(ConverterTypeName="System.Diagnostics.Design.StringValueConverter, System.Design, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a")
  System.ComponentModel.RecommendedAsConfigurable(RecommendedAsConfigurable=True)
  System.ComponentModel.DefaultValue(Value="")
  System.DirectoryServices.DSDescription(Description="The path for this DirectoryEntry.")
  System.String To be added. To be added. To be added.
- Property
  System.ComponentModel.Browsable(Browsable=False)
  System.ComponentModel.DesignerSerializationVisibility(Visibility=System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.DirectoryServices.DSDescription(Description="Properties set on this object.")
  System.DirectoryServices.PropertyCollection To be added. To be added. To be added.
- Property
  System.ComponentModel.Browsable(Browsable=False)
  System.ComponentModel.DesignerSerializationVisibility(Visibility=System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.DirectoryServices.DSDescription(Description="The name of the schema used for this DirectoryEntry.")
  System.String To be added. To be added. To be added.
- Property
  System.ComponentModel.Browsable(Browsable=False)
  System.ComponentModel.DesignerSerializationVisibility(Visibility=System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.DirectoryServices.DSDescription(Description="The current schema directory entry.")
  System.DirectoryServices.DirectoryEntry To be added. To be added. To be added.
To be added. To be added.